BcPluginAppController非推奨について

binbin > BcPluginAppController非推奨について @ 2018/5/3 12:08
引用:
Alert: クラス:BcPluginAppController 継承は、バージョン 4.0.0 より非推奨となりました。バージョン 5.0.0 で BcPluginAppController は削除される予定です。プラグインは AppController を直接継承してください。


いつから出ていたのか不明なんですが、このようなメッセージがでるようになりました。
(githubの最新版だけのような気がしますが、)

ところで、App::uses()の記述は、以下どちらが正しいのでしょうか?

App::uses('BcPluginAppController', 'Controller');
App::uses('AppController', 'Controller');


流れで行けばAppControllerかなーとは思うのですが、
BcPluginAppControllerにしておくと多機能だったりとか、あったりするのかな?
と思いまして、聞いてみました。
よろしくお願いします。
seto > Re: BcPluginAppController非推奨について @ 2018/5/7 10:32
/lib/Baser/Controller/BcPluginAppController.phpを見てみたのですが、特にBcPluginAppControllerに機能が定義されているわけではないみたいです。
AppControllerを使用したほうが良いと思います。
binbin > Re: BcPluginAppController非推奨について @ 2018/5/8 17:05
setoさん

ご返信ありがとうございます。
AppControllerに書き換えます。
ログイン
ユーザー名:
パスワード:


  新規登録 / パスワード紛失

検索

facebook
フォーラムで悩みが解決した場合など、よかったら「いいね!」をポチっとクリックしてください!質問の回答者や開発者の励みになります

フォーラムガイド


関連リンク

オンライン状況
34 人のユーザが現在オンラインです。 (34 人のユーザが フォーラム を参照しています。)

登録ユーザ: 0
ゲスト: 34